2019-11-21 13:51 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000204mercuryBugpublic2011-07-13 10:42
Reporterjuliensf 
Assigned Towangp 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000204: Generated code seg faults
DescriptionThe attached program seg faults when compiled with the current rotd. It is fine with the 11.07-beta
compiler. I suspect this is to do with the enumeration argument packing optimization since that
is the only significant difference between the trunk and the branch. (And the test case involves
a type which has that optimization applied to it.)
Additional InformationBug appears on x86_64 Linux in various grades, notably hlc.gc and asm_fast.gc.
(I haven't looked at what happens on other machines.)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2011-07-12 16:17 juliensf New Issue
2011-07-12 16:17 juliensf File Added: zinc-pack-bug.tar.gz
2011-07-13 10:42 wangp Status new => resolved
2011-07-13 10:42 wangp Resolution open => fixed
2011-07-13 10:42 wangp Assigned To => wangp
+Issue History